petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSTrajectoryView

Prints information about the trajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryView(TSTrajectory ts,PetscViewer viewer)

Collective on TSTrajectory

### Input Parameters

| ts | - the TSTrajectory context obtained from TSTrajectoryCreate()
| viewer | - visualization context

### Options Database Key

-ts_view -calls TSView() at end of TSStep()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

TS, timestep, view

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages